Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# TypedReferenceCount Class Reference

A base class for things which need to inherit from both TypedObject and from ReferenceCount. More...

Inheritance diagram for TypedReferenceCount:

List of all members.

## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A base class for things which need to inherit from both TypedObject and from ReferenceCount.

It's convenient to define this intermediate base class instead of multiply inheriting from the two classes each time they are needed, so that we can sensibly pass around pointers to things which are both TypedObjects and ReferenceCounters.

See also TypedObject for detailed instructions.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedObject.

Reimplemented in FileReference, VirtualFile, VirtualFileComposite, VirtualFileMount, VirtualFileMountMultifile, VirtualFileMountRamdisk, VirtualFileMountSystem, VirtualFileSimple, TemporaryFile, HTTPChannel, VirtualFileHTTP, VirtualFileMountHTTP, VrpnClient, ClientBase, FilterProperties, AudioSound, AudioManager, CallbackObject, PythonCallbackObject, TextFont, DynamicTextFont, StaticTextFont, BoundingVolume, GeometricBoundingVolume, FiniteBoundingVolume, BoundingBox, BoundingHexahedron, BoundingLine, BoundingPlane, BoundingSphere, IntersectionBoundingVolume, OmniBoundingVolume, UnionBoundingVolume, DisplayRegionBase, AnimateVerticesRequest, AsyncTask, Shader, TextureReloadRequest, AsyncTaskBase, AsyncTaskChain, AsyncTaskManager, AsyncTaskPause, AsyncTaskSequence, Event, PythonTask, Thread, ExternalThread, MainThread, PythonThread, GraphicsDevice, GraphicsPipe, WindowHandle.OSHandle, WindowHandle, OSHandle, DisplayRegion, StereoDisplayRegion, NativeWindowHandle, CollisionHandler, CollisionHandlerEvent, CollisionHandlerPhysical, CollisionHandlerFloor, CollisionHandlerPusher, CollisionHandlerFluidPusher, CollisionHandlerGravity, CollisionHandlerHighestEvent, CollisionHandlerQueue, AnimControl, BindAnimRequest, ModelLoadRequest, PipeOcclusionCullTraverser, CullTraverser, MovieVideoCursor.Buffer, Buffer, AuxSceneData, SceneSetup, PandaLoader, ModelFlattenRequest, and RecorderController.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties